/*********************************************
* mega16.h - header fajl
* Razne stvarcice bitne uC
* Autor: Muris Pucic Trax (www.elektronika.ba)
*********************************************/

//UART bitno
//#define F_CPU 8000000                 // oscillator-frequency in Hz, takodje treba za delay.h header (DEFINISANO U Project->Configuration options)
#define UART_BAUD_RATE 9600
// 16UL ostaje uvijek 16UL bez obzira na freq.  kristala
#define UART_BAUD_CALC (((F_CPU/(UART_BAUD_RATE*16UL)))-1)	

//CC1101
#define PAN		0	// Port B bit 0 : power amp
				// enabled(0)/disabled(1)

#define SPICS	4		// Port B bit 4 (pin5): chip select for CC
#define SPIDO	5		// Port B bit 5 (pin6): data out (data to CC)
#define SPIDI	6		// Port B bit 6 (pin7): data in (data from
				// CC1101)
#define SPICLK	7		// Port B bit 7 (pin8): clock for CC
//SAD OD NJEGA PREMA NAMA  - NAZIVI PINOVA
#define CC_GDO0	3		// Port B bit 3
#define CC_CSN	4
#define CC_SI	5
#define CC_SO	6
#define CC_SCLK 7

//LEDs
#define	LED1		0	// Port A bit 0: LED
#define	LED2		1	// Port A bit 1: LED
#define	LED3		2	// Port A bit 2: LED
#define	LED4		3	// Port A bit 3: LED
#define	LED5		4	// Port A bit 4: LED

void          ATMEGA_Init( void );
